@echo off

REM 24MHz **************************************************** 24MHz
SET MHZ=24
SET PIC=16F873
SET HEX=PB873-%MHZ%.HEX
SET FOSC=%MHZ%000000UL
SET BAUDRATE=115200
SET INTENTRY=00F04h
SET ROMHIGH=00FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F876
SET HEX=PB876-%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picboot.c

SET PIC=16F876A
SET HEX=PB876A%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picbootA.c

SET PIC=16F877A
SET HEX=PB877A%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picbootA.c

if exist *.sym del *.sym
if exist *.lst del *.lst
if exist *.cod del *.cod
if exist *.map del *.map
if exist *.sdb del *.sdb
if exist *.cof del *.cof
