@echo off

REM 24MHz **************************************************** 24MHz
SET MHZ=24
SET FOSC=%MHZ%000000UL

SET PIC=16F877A
SET HEX=PB877A%MHZ%.HEX
SET INTENTRY=01F04h
SET ROMHIGH=01FFFh
if exist %HEX% del %HEX%
echo Compiling... %PIC% @%MHZ%MHz to %HEX%
echo picc -%PIC% -O -Zg9 -DFOSC=%FOSC% -DBAUDRATE=%BAUDRATE% -O%HEX% -L-ppowerup=0,intentry=%INTENTRY%,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=%INTENTRY%-%ROMHIGH% -L-ACONST=%INTENTRY%-%ROMHIGH% picbootA.c

picc -16F877A -O -Zg9 -PSECTMAP -OPB877A24.HEX -L-ppowerup=0,intentry=1F04,intcode,intret,init,end_init,clrtext,stringtable,strings -L-ACODE=1F04-1FFF -L-ACONST=1F04-1FFF picbootA.c 


if exist *.sym del *.sym
if exist *.lst del *.lst
if exist *.cod del *.cod
if exist *.map del *.map
if exist *.sdb del *.sdb
if exist *.cof del *.cof
